// Code generated by protoc-gen-go. DO NOT EDIT.
// source: google/cloud/securitycenter/v1beta1/security_marks.proto

package securitycenter

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// User specified security marks that are attached to the parent Security Center
// resource. Security marks are scoped within a Security Center organization --
// they are modifiable and viewable by all with proper permissions on the
// organization.
type SecurityMarks struct {
	// The relative resource name of the SecurityMarks. See:
	// https://cloud.google.com/apis/design/resource_names#relative_resource_name
	// Examples:
	// "organizations/123/assets/456/securityMarks"
	// "organizations/123/sources/456/findings/789/securityMarks".
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Mutable user specified security marks belonging to the parent resource.
	// Constraints are as follows:
	//   - Keys and values are treated as case insensitive
	//   - Keys must be alphanumeric and between 1 - 256 characters (inclusive)
	//   - Values have leading and trailing whitespace trimmed, remaining
	//     characters must be between 1 - 4096 characters (inclusive)
	Marks                map[string]string `protobuf:"bytes,2,rep,name=marks,proto3" json:"marks,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *SecurityMarks) Reset()         { *m = SecurityMarks{} }
func (m *SecurityMarks) String() string { return proto.CompactTextString(m) }
func (*SecurityMarks) ProtoMessage()    {}
func (*SecurityMarks) Descriptor() ([]byte, []int) {
	return fileDescriptor_09d3e42c3896af25, []int{0}
}

func (m *SecurityMarks) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SecurityMarks.Unmarshal(m, b)
}
func (m *SecurityMarks) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SecurityMarks.Marshal(b, m, deterministic)
}
func (m *SecurityMarks) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SecurityMarks.Merge(m, src)
}
func (m *SecurityMarks) XXX_Size() int {
	return xxx_messageInfo_SecurityMarks.Size(m)
}
func (m *SecurityMarks) XXX_DiscardUnknown() {
	xxx_messageInfo_SecurityMarks.DiscardUnknown(m)
}

var xxx_messageInfo_SecurityMarks proto.InternalMessageInfo

func (m *SecurityMarks) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *SecurityMarks) GetMarks() map[string]string {
	if m != nil {
		return m.Marks
	}
	return nil
}

func init() {
	proto.RegisterType((*SecurityMarks)(nil), "google.cloud.securitycenter.v1beta1.SecurityMarks")
	proto.RegisterMapType((map[string]string)(nil), "google.cloud.securitycenter.v1beta1.SecurityMarks.MarksEntry")
}

func init() {
	proto.RegisterFile("google/cloud/securitycenter/v1beta1/security_marks.proto", fileDescriptor_09d3e42c3896af25)
}

var fileDescriptor_09d3e42c3896af25 = []byte{
	// 250 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x90, 0x41, 0x4b, 0xc3, 0x30,
	0x14, 0xc7, 0x69, 0xe7, 0x04, 0x9f, 0x08, 0x12, 0x3c, 0x94, 0xe1, 0x61, 0xe8, 0xc1, 0x9d, 0x12,
	0xa6, 0x97, 0xa2, 0x78, 0x11, 0x3c, 0x7a, 0x70, 0xbb, 0x79, 0x91, 0xb7, 0xfa, 0x08, 0x65, 0xed,
	0x7b, 0x25, 0x4d, 0x07, 0x05, 0x3f, 0x95, 0x9f, 0x50, 0x96, 0x06, 0xa5, 0x97, 0xb1, 0x4b, 0x79,
	0xfd, 0x27, 0xbf, 0xdf, 0x3f, 0x09, 0xe4, 0x56, 0xc4, 0x56, 0x64, 0x8a, 0x4a, 0xba, 0x2f, 0xd3,
	0x52, 0xd1, 0xb9, 0xd2, 0xf7, 0x05, 0xb1, 0x27, 0x67, 0x76, 0xcb, 0x0d, 0x79, 0x5c, 0xfe, 0xc5,
	0x9f, 0x35, 0xba, 0x6d, 0xab, 0x1b, 0x27, 0x5e, 0xd4, 0xed, 0x40, 0xea, 0x40, 0xea, 0x31, 0xa9,
	0x23, 0x39, 0xbb, 0x8e, 0x7a, 0x6c, 0x4a, 0x83, 0xcc, 0xe2, 0xd1, 0x97, 0xc2, 0x51, 0x71, 0xf3,
	0x93, 0xc0, 0xc5, 0x3a, 0x82, 0x6f, 0x7b, 0xb5, 0x52, 0x70, 0xc2, 0x58, 0x53, 0x96, 0xcc, 0x93,
	0xc5, 0xd9, 0x2a, 0xcc, 0x6a, 0x0d, 0xd3, 0xd0, 0x9b, 0xa5, 0xf3, 0xc9, 0xe2, 0xfc, 0xfe, 0x59,
	0x1f, 0x51, 0xac, 0x47, 0x5a, 0x1d, 0xbe, 0xaf, 0xec, 0x5d, 0xbf, 0x1a, 0x5c, 0xb3, 0x1c, 0xe0,
	0x3f, 0x54, 0x97, 0x30, 0xd9, 0x52, 0x1f, 0x5b, 0xf7, 0xa3, 0xba, 0x82, 0xe9, 0x0e, 0xab, 0x8e,
	0xb2, 0x34, 0x64, 0xc3, 0xcf, 0x63, 0x9a, 0x27, 0x2f, 0xdf, 0x70, 0x57, 0x48, 0x7d, 0xcc, 0x21,
	0x3e, 0xde, 0xe3, 0x26, 0x2b, 0x15, 0xb2, 0xd5, 0xe2, 0xac, 0xb1, 0xc4, 0xe1, 0xee, 0x66, 0x58,
	0xc2, 0xa6, 0x6c, 0x0f, 0xbe, 0xfd, 0xd3, 0x38, 0xde, 0x9c, 0x06, 0xfa, 0xe1, 0x37, 0x00, 0x00,
	0xff, 0xff, 0x9e, 0xc8, 0x47, 0xe1, 0xb8, 0x01, 0x00, 0x00,
}
